GET /api/v3/bill/{billId}/billEntry

Retrieves all data necessary to load the bill entry screen

GetBillEntryDataByBillIdV3 Permissions: BillsAndBatches (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
billId integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BillEntryResponse
Property Description Type
accountBodyLines The bill’s account-level details BillEntryBodyLine[]
BillEntryBodyLine properties
Property Description Type
bodyLineId The body line identifier integer (int32)
caption The body line’s caption string
cost BillEntryBodyLineChild
BillEntryBodyLineChild properties
Property Description Type
type The body line’s observation type string
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value The body line’s numeric value number (double)
observationType BillEntryObservationTypeChild
BillEntryObservationTypeChild properties
Property Description Type
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type name string
value BillEntryBodyLineWithNounChild
BillEntryBodyLineWithNounChild properties
Property Description Type
noun The body line’s noun string
type The body line’s observation type string
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value The body line’s numeric value number (double)
accountId The account identifier integer (int32)
accountPeriodName BillHeaderChild
BillHeaderChild properties
Property Description Type
required Indicates if the bill header is required during bill entry boolean
value The bill header value string
accountPeriodNumber BillHeaderChild
BillHeaderChild properties
Property Description Type
required Indicates if the bill header is required during bill entry boolean
value The bill header value string
accountPeriodYear BillHeaderChild
BillHeaderChild properties
Property Description Type
required Indicates if the bill header is required during bill entry boolean
value The bill header value string
accrual Indicates if the bill is an accrual bill boolean
apExported Indicates if the bill has been ap exported boolean
approved Indicates if the bill has been approved boolean
batch BatchChild
BatchChild properties
Property Description Type
batchCode The batch code. string
batchId The batch id. integer (int32)
beginDate The bill’s begin date string (date-time)
billId The bill identifier integer (int32)
billImageUrl The fully qualified url to the bill image string
billNote The bill’s note string
billingPeriod The bill’s billing period integer (int32)
checkDate The date and time of the check string (date-time)
checkNumber The number of the check that the bill was paid with string
clearedDate The date and time that the check cleared string (date-time)
controlCode BillHeaderChild
BillHeaderChild properties
Property Description Type
required Indicates if the bill header is required during bill entry boolean
value The bill header value string
costConversion CostConversion
CostConversion properties
Property Description Type
conversionDate The date used to look up the currency conversion string (date-time)
sourceToSystemConversionValue The conversion factor used to convert from the source cost unit to the system cost unit number (double)
sourceUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
systemUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
days The bill’s number of days integer (int32)
dueDate BillHeaderChild
BillHeaderChild properties
Property Description Type
required Indicates if the bill header is required during bill entry boolean
value The bill header value string
endDate The bill’s end date string (date-time)
estimated BillHeaderChild
BillHeaderChild properties
Property Description Type
required Indicates if the bill header is required during bill entry boolean
value The bill header value string
exportHold Indicates if the bill is being withheld from bill exports boolean
fromVendor Indicates if the bill is from a vendor boolean
fundsWithdrawnDate The date when funds were withdrawn string (date-time)
generalLedgerCode The general ledger code of the bill’s account-level details (“Mixed” if there is more than one) string
glExported Indicates if the bill has been gl exported boolean
hasBeenSplit Indicates if the bill has been split boolean
invoiceNumber BillHeaderChild
BillHeaderChild properties
Property Description Type
required Indicates if the bill header is required during bill entry boolean
value The bill header value string
meters The billing account’s meters BillEntryMeterChild[]
BillEntryMeterChild properties
Property Description Type
bodyLines The bill’s meter-level details BillEntryBodyLine[]
BillEntryBodyLine properties
Property Description Type
bodyLineId The body line identifier integer (int32)
caption The body line’s caption string
cost BillEntryBodyLineChild
BillEntryBodyLineChild properties
Property Description Type
type The body line’s observation type string
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value The body line’s numeric value number (double)
observationType BillEntryObservationTypeChild
BillEntryObservationTypeChild properties
Property Description Type
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type name string
value BillEntryBodyLineWithNounChild
BillEntryBodyLineWithNounChild properties
Property Description Type
noun The body line’s noun string
type The body line’s observation type string
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value The body line’s numeric value number (double)
fromTemplate True means a “template” was used to generate the bodylines False means an existing bill was used to generate the bodylines boolean
generalLedgerCode The meter gl code string
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter name string
needsToOpenBatch Indicates if a new bill batch needs to be opened to place this bill in boolean
nextReading BillHeaderChild
BillHeaderChild properties
Property Description Type
required Indicates if the bill header is required during bill entry boolean
value The bill header value string
numberOfOpenBatches Indicates how many open batches the user has integer (int32)
observationMethod ObservationMethodChild
ObservationMethodChild properties
Property Description Type
observationMethodCode Observation method code string
observationMethodId Observation method identifier integer (int32)
observationMethodInfo Observation method name: Automatic, Manual, Estimated, Simulated, Accrual, or Adjustment string
payStatus The payment status of the bill string
paymentExported Indicates if the bill has been exported to bill payment boolean
statementDate BillHeaderChild
BillHeaderChild properties
Property Description Type
required Indicates if the bill header is required during bill entry boolean
value The bill header value string
totalCost The bill’s total cost in the system currency. The system currency is the reporting/global currency unit. number (double)
totalSourceCost The bill’s total cost in the source currency. The source currency is the native currency unit. number (double)
vendorBodyLines The bill’s vendor template details BillEntryBodyLine[]
BillEntryBodyLine properties
Property Description Type
bodyLineId The body line identifier integer (int32)
caption The body line’s caption string
cost BillEntryBodyLineChild
BillEntryBodyLineChild properties
Property Description Type
type The body line’s observation type string
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value The body line’s numeric value number (double)
observationType BillEntryObservationTypeChild
BillEntryObservationTypeChild properties
Property Description Type
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type name string
value BillEntryBodyLineWithNounChild
BillEntryBodyLineWithNounChild properties
Property Description Type
noun The body line’s noun string
type The body line’s observation type string
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value The body line’s numeric value number (double)
vendorId The vendor identifier integer (int32)
void Indicates if the bill has been voided boolean
Example Response application/json
{  "accountBodyLines": [
    {    "bodyLineId": 1,    "caption": "string",    "cost": {      "type": "string",      "unit": {},      "value": 1.0
    },    "observationType": {      "observationTypeCode": "string",      "observationTypeId": 1,      "observationTypeInfo": "string"
    },    "value": {      "noun": "string",      "type": "string",      "unit": {},      "value": 1.0
    }
  }
  ],  "accountId": 1,  "accountPeriodName": {    "required": false,    "value": "string"
  },  "accountPeriodNumber": {    "required": false,    "value": "string"
  },  "accountPeriodYear": {    "required": false,    "value": "string"
  },  "accrual": false,  "apExported": false,  "approved": false,  "batch": {    "batchCode": "string",    "batchId": 1
  },  "beginDate": "2026-03-30",  "billId": 1,  "billImageUrl": "string",  "billNote": "string",  "billingPeriod": 1,  "checkDate": "2026-03-30",  "checkNumber": "string",  "clearedDate": "2026-03-30",  "controlCode": {    "required": false,    "value": "string"
  },  "costConversion": {    "conversionDate": "2026-03-30",    "sourceToSystemConversionValue": 1.0,    "sourceUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "systemUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  },  "days": 1,  "dueDate": {    "required": false,    "value": "string"
  },  "endDate": "2026-03-30",  "estimated": {    "required": false,    "value": "string"
  },  "exportHold": false,  "fromVendor": false,  "fundsWithdrawnDate": "2026-03-30",  "generalLedgerCode": "string",  "glExported": false,  "hasBeenSplit": false,  "invoiceNumber": {    "required": false,    "value": "string"
  },  "meters": [
    {    "bodyLines": [
      {      "bodyLineId": 1,      "caption": "string",      "cost": {},      "observationType": {},      "value": {}
    }
    ],    "fromTemplate": false,    "generalLedgerCode": "string",    "meterCode": "string",    "meterId": 1,    "meterInfo": "string"
  }
  ],  "needsToOpenBatch": false,  "nextReading": {    "required": false,    "value": "string"
  },  "numberOfOpenBatches": 1,  "observationMethod": {    "observationMethodCode": "string",    "observationMethodId": 1,    "observationMethodInfo": "string"
  },  "payStatus": "string",  "paymentExported": false,  "statementDate": {    "required": false,    "value": "string"
  },  "totalCost": 1.0,  "totalSourceCost": 1.0,  "vendorBodyLines": [
    {    "bodyLineId": 1,    "caption": "string",    "cost": {      "type": "string",      "unit": {},      "value": 1.0
    },    "observationType": {      "observationTypeCode": "string",      "observationTypeId": 1,      "observationTypeInfo": "string"
    },    "value": {      "noun": "string",      "type": "string",      "unit": {},      "value": 1.0
    }
  }
  ],  "vendorId": 1,  "void": false
}